using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _26._1
{
    class Program
    {
        static void Main(string[] args)
        {
            string brojevi = Console.ReadLine();
            string[] delovi = brojevi.Split(' ');
            Console.WriteLine(Math.Max((Math.Max(Math.Max(Convert.ToInt64(delovi[0] + delovi[1] + delovi[2]), Convert.ToInt64(delovi[0] + delovi[2] + delovi[1])), Math.Max(Convert.ToInt64(delovi[1] + delovi[0] + delovi[2]), Convert.ToInt64(delovi[1] + delovi[2] + delovi[0])))), Math.Max(Convert.ToInt64(delovi[2] + delovi[0] + delovi[1]), Convert.ToInt64(delovi[2] + delovi[1] + delovi[0]))));
        }
    }
}